// IModemToolManager.aidl
package com.ft.possystemapi.server.file;

// Declare any non-default types here with import statements
interface IEMVFileManager {

    int saveTransactionalParam(int fileType, int fileNumber, String xmlTransactionalParam);
    int updateTransactionalParam(int fileType, String xmlTransactionalParam);
    String getTransactionalParam(int fileType, int fileNumber);
    int deleteTransactionalParam(int fileType, int fileNumber);

    /**
     * read EMV param file list
     */
    String [] readEMVParamFileList(String packageName);

    /**
     * read EMV param file data
     */
    byte [] readEMVParamData(String fileName);

}