// IDeviceLogManager.aidl
package com.ft.possystemapi.server.log;

// Declare any non-default types here with import statements
interface IDeviceLogManager {

    void cleanAllLogs();

    void enableBluetoothLogs(boolean enable);

    void enableWifiLogs(boolean enable);

    String getKernelLog();

    String getMainLog();

    void startCaptureKernelLog();

    void startCaptureMainLog();

    boolean stopCaptureMainLog();

}